Index: svn/src/mainboard/kontron/kt690/romstage.c
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/romstage.c
+++ svn/src/mainboard/kontron/kt690/romstage.c
@@ -191,7 +191,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %2x  spd_addr: %2x\n",
+	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	sdram_initialize(sysinfo->nodes, sysinfo->ctrl, sysinfo);
Index: svn/src/mainboard/msi/ms7260/romstage.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7260/romstage.c
+++ svn/src/mainboard/msi/ms7260/romstage.c
@@ -190,12 +190,7 @@ void cache_as_ram_main(unsigned long bis
 #endif
 	console_init();
 
-	print_debug("*sysinfo range: [");
-	print_debug_hex32(sysinfo);
-	print_debug(",");
-	print_debug_hex32((unsigned long)sysinfo + sizeof(struct sys_info));
-	print_debug(")\r\n");
-
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 	print_debug("bsp_apicid=");
 	print_debug_hex8(bsp_apicid);
 	print_debug("\r\n");
Index: svn/src/mainboard/msi/ms9185/romstage.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/romstage.c
+++ svn/src/mainboard/msi/ms9185/romstage.c
@@ -203,7 +203,7 @@ void cache_as_ram_main(unsigned long bis
        /* Halt if there was a built in self test failure */
        report_bist_failure(bist);
 
-       print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
        setup_ms9185_resource_map();
 #if 0
Index: svn/src/mainboard/msi/ms9652_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/romstage.c
+++ svn/src/mainboard/msi/ms9652_fam10/romstage.c
@@ -212,9 +212,9 @@ void cache_as_ram_main(unsigned long bis
 
 	val = cpuid_eax(1);
 	printk_debug("BSP Family_Model: %08x\n", val);
-	printk_debug("*sysinfo range: ["); print_debug_hex32((u32)sysinfo); print_debug(","); print_debug_hex32((u32)sysinfo+sizeof(struct sys_info)); print_debug("]\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 	printk_debug("bsp_apicid = %02x\n", bsp_apicid);
-	printk_debug("cpu_init_detectedx = %08x\n", cpu_init_detectedx);
+	printk_debug("cpu_init_detectedx = %08lx\n", cpu_init_detectedx);
 
 	/* Setup sysinfo defaults */
 	set_sysinfo_in_ram(0);
Index: svn/src/mainboard/nvidia/l1_2pvv/romstage.c
===================================================================
--- svn.orig/src/mainboard/nvidia/l1_2pvv/romstage.c
+++ svn/src/mainboard/nvidia/l1_2pvv/romstage.c
@@ -218,7 +218,7 @@ void cache_as_ram_main(unsigned long bis
 	early_usbdebug_direct_init();
 #endif
 	console_init();
-	print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
 	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
 
Index: svn/src/mainboard/supermicro/h8dme/romstage.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/romstage.c
+++ svn/src/mainboard/supermicro/h8dme/romstage.c
@@ -270,11 +270,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-	print_debug("*sysinfo range: [");
-	print_debug_hex32(sysinfo);
-	print_debug(",");
-	print_debug_hex32((unsigned long)sysinfo + sizeof(struct sys_info));
-	print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
 	setup_mb_resource_map();
 
Index: svn/src/mainboard/supermicro/h8dmr/romstage.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/romstage.c
+++ svn/src/mainboard/supermicro/h8dmr/romstage.c
@@ -203,7 +203,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_mb_resource_map();
 
Index: svn/src/mainboard/supermicro/h8dmr_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/romstage.c
+++ svn/src/mainboard/supermicro/h8dmr_fam10/romstage.c
@@ -205,9 +205,9 @@ void cache_as_ram_main(unsigned long bis
 
  val = cpuid_eax(1);
  printk_debug("BSP Family_Model: %08x \n", val);
- printk_debug("*sysinfo range: ["); print_debug_hex32((u32)sysinfo); print_debug(","); print_debug_hex32((u32)sysinfo+sizeof(struct sys_info)); print_debug("]\n");
+ printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
  printk_debug("bsp_apicid = %02x \n", bsp_apicid);
- printk_debug("cpu_init_detectedx = %08x \n", cpu_init_detectedx);
+ printk_debug("cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
  /* Setup sysinfo defaults */
  set_sysinfo_in_ram(0);
Index: svn/src/mainboard/supermicro/h8qme_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8qme_fam10/romstage.c
+++ svn/src/mainboard/supermicro/h8qme_fam10/romstage.c
@@ -248,9 +248,9 @@ void cache_as_ram_main(unsigned long bis
 
  val = cpuid_eax(1);
  printk_debug("BSP Family_Model: %08x \n", val);
- printk_debug("*sysinfo range: ["); print_debug_hex32((u32)sysinfo); print_debug(","); print_debug_hex32((u32)sysinfo+sizeof(struct sys_info)); print_debug("]\n");
+ printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
  printk_debug("bsp_apicid = %02x \n", bsp_apicid);
- printk_debug("cpu_init_detectedx = %08x \n", cpu_init_detectedx);
+ printk_debug("cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
  /* Setup sysinfo defaults */
  set_sysinfo_in_ram(0);
Index: svn/src/mainboard/technexion/tim5690/romstage.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/romstage.c
+++ svn/src/mainboard/technexion/tim5690/romstage.c
@@ -198,7 +198,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %2x  spd_addr: %2x\n",
+	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
Index: svn/src/mainboard/technexion/tim8690/romstage.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/romstage.c
+++ svn/src/mainboard/technexion/tim8690/romstage.c
@@ -190,7 +190,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %2x  spd_addr: %2x\n",
+	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	sdram_initialize(sysinfo->nodes, sysinfo->ctrl, sysinfo);
Index: svn/src/mainboard/tyan/s2912/romstage.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912/romstage.c
+++ svn/src/mainboard/tyan/s2912/romstage.c
@@ -214,7 +214,7 @@ void cache_as_ram_main(unsigned long bis
 	early_usbdebug_direct_init();
 #endif
 	console_init();
-	print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
 	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
 
Index: svn/src/mainboard/tyan/s2912_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/romstage.c
+++ svn/src/mainboard/tyan/s2912_fam10/romstage.c
@@ -210,9 +210,9 @@ void cache_as_ram_main(unsigned long bis
 
 	val = cpuid_eax(1);
 	printk_debug("BSP Family_Model: %08x\n", val);
-	printk_debug("*sysinfo range: ["); print_debug_hex32((u32)sysinfo); print_debug(","); print_debug_hex32((u32)sysinfo+sizeof(struct sys_info)); print_debug("]\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 	printk_debug("bsp_apicid = %02x\n", bsp_apicid);
-	printk_debug("cpu_init_detectedx = %08x\n", cpu_init_detectedx);
+	printk_debug("cpu_init_detectedx = %08lx\n", cpu_init_detectedx);
 
 	/* Setup sysinfo defaults */
 	set_sysinfo_in_ram(0);
Index: svn/src/northbridge/amd/amdfam10/debug.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/debug.c
+++ svn/src/northbridge/amd/amdfam10/debug.c
@@ -28,7 +28,7 @@ static void udelay_tsc(u32 us);
 static  void print_debug_addr(const char *str, void *val)
 {
 #if CACHE_AS_RAM_ADDRESS_DEBUG == 1
-		printk_debug("------Address debug: %s%x------\n", str, val);
+		printk_debug("------Address debug: %s%p------\n", str, val);
 #endif
 }
 
Index: svn/src/northbridge/amd/amdk8/raminit_f_dqs.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/raminit_f_dqs.c
+++ svn/src/northbridge/amd/amdk8/raminit_f_dqs.c
@@ -1700,7 +1700,7 @@ static unsigned int range_to_mtrr(unsign
 		}
 		sizek = 1 << align;
 #if CONFIG_MEM_TRAIN_SEQ != 1
-		printk_debug("Setting variable MTRR %d, base: %4dMB, range: %4dMB, type %s\r\n",
+		printk_debug("Setting variable MTRR %d, base: %4ldMB, range: %4ldMB, type %s\r\n",
 			reg, range_startk >>10, sizek >> 10,
 			(type==MTRR_TYPE_UNCACHEABLE)?"UC":
 			    ((type==MTRR_TYPE_WRBACK)?"WB":"Other")
Index: svn/src/southbridge/sis/sis966/sis966_early_smbus.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_early_smbus.c
+++ svn/src/southbridge/sis/sis966/sis966_early_smbus.c
@@ -484,7 +484,7 @@ void sis_init_stage2(void)
         printk_debug("Init NorthBridge sis761 -------->\n");
         dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_SIS, PCI_DEVICE_ID_SIS_SIS761), 0);
         msr = rdmsr(0xC001001A);
-	 printk_debug("Memory Top Bound %lx\n",msr.lo );
+	 printk_debug("Memory Top Bound %x\n",msr.lo );
 
         temp16=(pci_read_config8(dev, 0x4C) & 0xE0) >> 5;
         temp16=0x0001<<(temp16-1);
Index: svn/src/mainboard/intel/d945gclf/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/acpi_tables.c
+++ svn/src/mainboard/intel/d945gclf/acpi_tables.c
@@ -299,7 +299,7 @@ unsigned long write_acpi_tables(unsigned
 	/* Pack GNVS into the ACPI table area */
 	for (i=0; i < dsdt->length; i++) {
 		if (*(u32*)(((u32)dsdt) + i) == 0xC0DEBABE) {
-			printk_debug("ACPI: Patching up global NVS in DSDT at offset 0x%04x -> 0x%08x\n", i, current);
+			printk_debug("ACPI: Patching up global NVS in DSDT at offset 0x%04x -> 0x%08lx\n", i, current);
 			*(u32*)(((u32)dsdt) + i) = current; // 0x92 bytes
 			break;
 		}
Index: svn/src/southbridge/intel/i82801ax/i82801ax_lpc.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801ax/i82801ax_lpc.c
+++ svn/src/southbridge/intel/i82801ax/i82801ax_lpc.c
@@ -74,7 +74,7 @@ typedef struct southbridge_intel_i82801a
  * specific IRQ values in your mainboards Config.lb.
 */
 
-void i82801ax_enable_apic(struct device *dev)
+static void i82801ax_enable_apic(struct device *dev)
 {
 	uint32_t reg32;
 	volatile uint32_t *ioapic_index = (volatile uint32_t *)0xfec00000;
@@ -108,7 +108,7 @@ void i82801ax_enable_apic(struct device 
 	*ioapic_data = 1; /* Use Processor System Bus to deliver interrupts. */
 }
 
-void i82801ax_enable_serial_irqs(struct device *dev)
+static void i82801ax_enable_serial_irqs(struct device *dev)
 {
 	/* Set packet length and toggle silent mode bit. */
 	pci_write_config8(dev, SERIRQ_CNTL,
@@ -220,7 +220,7 @@ static void gpio_init(device_t dev, uint
 	}
 }
 
-void i82801ax_rtc_init(struct device *dev)
+static void i82801ax_rtc_init(struct device *dev)
 {
 	uint8_t reg8;
 	uint32_t reg32;
@@ -240,7 +240,7 @@ void i82801ax_rtc_init(struct device *de
 	pci_write_config8(dev, RTC_CONF, 0x04);
 }
 
-void i82801ax_lpc_route_dma(struct device *dev, uint8_t mask)
+static void i82801ax_lpc_route_dma(struct device *dev, uint8_t mask)
 {
 	uint16_t reg16;
 	int i;
